Bug 34169 - [TTV] Clicking on a read-only cell does not place the keyboard focus there
[TTV] Clicking on a read-only cell does not place the keyboard focus there
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: FOCUS
Depends on: 31896
Blocks: 33281
  Show dependency treegraph
 
Reported: 2003-06-04 19:23 UTC by David-john Burrowes
Modified: 2008-12-22 17:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David-john Burrowes 2003-06-04 19:23:17 UTC
If I click on a read-only cell in the treetable
view, the cell does not display the keyboard focus
as it should.  (in fact, the keyboard focus
doesn't seem to get transfered to the table at all?)

You can easily reproduce this with the sessions or
threads views in the debugger.
Comment 1 Jiri Rechtacek 2003-06-04 22:41:20 UTC
This issue blocks the umbrella issue 33281 - TreeTableView improving. All TTV's
issues should be fixed separately at once on base UI spec (task 31621).
Comment 2 _ tboudreau 2003-11-22 23:04:26 UTC
Fixed in property panel rewrite branch - along with some
optimizations, I did a bit of work to make keyboard navigation & such
work better.  Read only cells now do show the focus marker, for
whatever that's worth.
Comment 3 _ tboudreau 2003-12-09 09:36:51 UTC
Property panel rewrite branch merged.
Comment 4 Marian Mirilovic 2005-07-13 13:24:10 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo